# colortest

<p align="center">
  <a href="https://github.com/pablopunk/miny"><img src="https://img.shields.io/badge/made_with-miny-1eced8.svg" /> </a>
  <a href="https://www.npmjs.com/package/colortest"><img src="https://img.shields.io/npm/dt/colortest.svg" /></a>
</p>

<p align="center">
  <i>Quickly show all your terminal colors</i>
</p>


## Install

<details>
<summary>`dnf`</summary>

> Since v3.0.5, `colortest` conforms to Fedora packaging standards

If you're using Fedora or any other distribution with the `dnf` package manager:

```bash
$ sudo dnf install colortest
```

And use it:

```bash
$ colortest
```

❌ To uninstall it:

```
$ sudo dnf remove colortest
```

</details>

<details>
<summary>`npm`</summary>

If you have npm installed, you can either install it globally or use it directly with `npx`:

```bash
$ npx colortest
```

</details>

<details>
<summary>Manually</summary>

Alternatively, you can download and run [the script](https://raw.githubusercontent.com/pablopunk/colortest/master/colortest) from your bash prompt.

</details>


## Output

![shot](https://github.com/pablopunk/art/raw/master/colortest/screenshot.png)


# Related

More at [pablopunk.com](https://pablopunk.com/)

* Quickly test true color support: [truecolor](https://github.com/pablopunk/truecolor)
* Hyper theme: [hyper-native-dark](https://github.com/pablopunk/hyper-native-dark)
* NPM package generator: [miny](https://github.com/pablopunk/miny)
* Fast bash propmt: [bashy](https://github.com/pablopunk/bashy)
* Fast and lightweight tests: [myass](https://github.com/pablopunk/myass)

## License

[MIT](./LICENSE).

The original code can be found [here](https://tldp.org/HOWTO/Bash-Prompt-HOWTO/x329.html).


## Author

| ![me](https://gravatar.com/avatar/fa50aeff0ddd6e63273a068b04353d9d?size=100)           |
| --------------------------------- |
| [Pablo Varela](https://pablopunk.com)   |

